package edu.lawrence.hellojavafx;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class App extends Application {

    @Override
    public void start(Stage stage) {
        Button btn = new Button();
        btn.setText("Say 'Hello World'");

        VBox box = new VBox();
        box.getChildren().add(btn);
        Label label = new Label();
        box.getChildren().add(label);
        
        btn.setOnAction(new ClickHandler(label));

        //btn.setOnAction((evt)->{label.setText("Hello, World!");});
        
        Scene scene = new Scene(box, 300, 250);

        stage.setTitle("Hello World!");
        stage.setScene(scene);
        stage.show();
    }

    public static void main(String[] args) {
        launch();
    }

    class ClickHandler implements EventHandler<ActionEvent> {

        public ClickHandler(Label label) {
            this.label = label;
        }

        @Override
        public void handle(ActionEvent evt) {
            label.setText("Hello, World!");
        }

        private Label label;
    }
}
